function createfigure(X1, YMatrix1, YData1, XData1)
%CREATEFIGURE(X1, YMatrix1, YData1, XData1)
%  X1:  vector of x data
%  YMATRIX1:  matrix of y data
%  YDATA1:  patch ydata
%  XDATA1:  patch xdata

%  Auto-generated by MATLAB on 13-Dec-2019 00:59:29

% Create figure
figure1 = figure;

% Create axes
axes1 = axes('Parent',figure1);
hold(axes1,'on');

% Create multiple lines using matrix input to plot
plot1 = plot(X1,YMatrix1,'LineWidth',1,'Color',[0 0 0]);
set(plot1(1),'DisplayName','data 1');

% Create patch
patch('Parent',axes1,'YData',YData1,'XData',XData1,'FaceColor',[0.8 0.8 0.8]);

% Create ylabel
ylabel({'Potential evapotranspiration in mm'});

% Create xlabel
xlabel({'Time from 1-1968 in days'});

% Create title
title({'Range of PET values for Monte Carlo Analysis'});

% Uncomment the following line to preserve the X-limits of the axes
% xlim(axes1,[367.504457337748 706.771135609105]);
% Uncomment the following line to preserve the Y-limits of the axes
% ylim(axes1,[0 6.38898741007194]);
box(axes1,'on');
% Create legend
legend(axes1,'show');

